/* functions header */

#ifndef HEADER_FUNCTIONS_H
#define HEADER_FUNCTIONS_H

int get_key (void);
#ifndef WIN32
extern int printfx (char * fmt, ...)
                __attribute__ ((format (printf, 1, 2)));
char *fgetsx(char *s, int size, FILE *stream);
#endif
void sleep_ms (int ms);
uint64_t time_get_ms (void);
void toupper_string (char *dest, char *src);
void tolower_string (char *dest, char *src);
int string_search (char *strg_array[], char *strg_find);
int get_integer_value (char *s);
char *get_next_parameter (char *s, int delimiter, char *sps, int *spi, int maxlen);
void file_name_part (char *pathfile, char *filename);
void create_md5 (char *filename, char *md5);
int check_os_version (void);
void reset_drive (char *xtype, char *xfile);
int get_drive_type (char *xtype, char *xfile, DSK_PDRIVER xdrive);
void functions_init (void);
void functions_deinit (void);

#endif     /* HEADER_FUNCTIONS_H */
