/* options header */

#ifndef HEADER_OPTIONS_H
#define HEADER_OPTIONS_H

void options_init (void);
void options_make_pointers (char *s);
int options_process (int argc, char *argv[]);

#define OPTIONS_SIZE 5000
#define OPTIONS_PARM_SIZE 10000
#define OPTIONS_ENV_SIZE 1000
#define OPTIONS_MAXCOND 1000

enum
{
 OPT_APPENDERR=0x0100,
 OPT_AUTORATE,
 OPT_BUFFERING,
 OPT_CONFIG,
 OPT_COUNT,
 OPT_CYLINDERS,
 OPT_DATARATE,
 OPT_DESCRIPT,
 OPT_DETECT,
 OPT_DISK,
 OPT_DISKDESC,
 OPT_DISKDESCF,
 OPT_ENTDESC,
 OPT_FLAGS,
 OPT_FINISH,
 OPT_FM,
 OPT_FMTGAP,
 OPT_FORCE,
 OPT_FORCESIDE,
 OPT_FORMAT,
 OPT_HEADS,
 OPT_HELP,
 OPT_IDSTEP,
 OPT_IF,
 OPT_IGNORE_ERR,
 OPT_INFO,
 OPT_ISIDE,
 OPT_ITYPE,
 OPT_LCON,
 OPT_LCONW,
 OPT_LCONS,
 OPT_LFORMAT,
 OPT_LOG,
 OPT_LTYPE,
 OPT_NOFORMAT,
 OPT_NOMULTI,
 OPT_NOSKIP,
 OPT_ODSTEP,
 OPT_OF,
 OPT_OSIDE,
 OPT_OTYPE,
 OPT_RETRY_L1,
 OPT_RETRY_L2,
 OPT_RWGAP,
 OPT_SCANHEAD,
 OPT_SECBASE,
 OPT_SECBASE2S,
 OPT_SECBASE2C,
 OPT_SECSIZE,
 OPT_SECTORS,
 OPT_SIDE1AS0,
 OPT_SIDEDNESS,
 OPT_SIGNATURE,
 OPT_SKEW,
 OPT_SKEW_OFS,
 OPT_START,
 OPT_UNATTENDED,
 OPT_UNATTRAB,
 OPT_UNATTRPS,
 OPT_UNATTSEEK,
 OPT_VERBOSE,
 OPT_VERSION
};

typedef struct short_options_trans_t
{
 int option;
 int longno;
}short_options_trans_t;
   
#endif     /* HEADER_OPTIONS_H */
